package org.shunt.service.bean;

import java.io.Serializable;

/**
 * 微信个人用户信息(非企业成员时)
 */
public class WechatExtUserInfo implements Serializable {

    private static final long serialVersionUID = 6750304307961875014L;

    private String openId;
    private String deviceId;
    private String externalUserid;

    public WechatExtUserInfo() {
    }

    public WechatExtUserInfo(String openId, String deviceId, String externalUserid) {
        this.openId = openId;
        this.deviceId = deviceId;
        this.externalUserid = externalUserid;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getExternalUserid() {
        return externalUserid;
    }

    public void setExternalUserid(String externalUserid) {
        this.externalUserid = externalUserid;
    }
}
